{ lib, ... }:
with lib;
{
  options.machine.nextcloud = {
    enable = mkEnableOption "Nextcloud";
    host = mkOption {
      type = types.str;
      default = "localhost";
      description = "FQDN for the nextcloud instance.";
    };
  };
}
